	nolist
	include	"ti83plus.inc"
	list

	define _RelCode
	segment _RelCode
	public FlashImage

;---------------------------------------
Image1
	include "Splash.inc"
Image2
	include "Screen.inc"
;---------------------------------------
; A = image index ( 1 - N )
FlashImage
		ld			hl, Image1
		ld			bc, 768
FI_INDEX
		dec			a
		jr			z, FI_SHOW
		add			hl, bc
		jr			FI_INDEX
FI_SHOW
		di								; disable interrupts
		ld			a, 80h				; start at top left
		call		FI_PAUSE
		out			(LCDinstPort), a
		ld			d, 20h
		ld			a, d
		call		FI_PAUSE
		out			(LCDinstPort), a
		ld			a, 05h
		call		FI_PAUSE
		out			(LCDinstPort), a
		ld			bc, 400Ch
FI_LOOP
		ld			a, (hl)				; pump the data
		inc			hl
		call		FI_PAUSE
		out			(LCDdataPort), a
		dec			b
		jr			nz, FI_LOOP
		inc			d
		ld			a, d
		call		FI_PAUSE
		out			(LCDinstPort), a
		ld			b, 40h
		dec			c
		jr			nz, FI_LOOP
		ei
FI_PAUSE			; this is used as
		nop			; the lcd delay above.
		nop			; it is also the return
		ret			; from this subroutine.

	end
